## berserkrl 0.8.5-maemo1

=== debian/changelog ===
berserkrl (0.8.5-maemo1) unstable; urgency=low
	
  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 29 Aug 2011 21:39:31 +0020
