=== debian/control ===
Source: berserkrl
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), lua5.1, liblua5.1-0-dev, fpc-2.4.4, fp-units-2.4.4, fp-utils-2.4.4
Standards-Version: 3.7.2
Homepage: http://berserk.chaosforge.org/
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: berserkrl
Architecture: any
Depends: ${shlibs:Depends}
Description: Roguelike. A fantasy survival game of tactical bloodshed.
 .
 Loosely based on Kentaro Miura's Berserk manga.
